return function(self, onError, thisNotAllowed)

    if thisNotAllowed ~= nil then
        error("Rx.Observable:subscribeOnError: this parameter not supported in RxLua", 2)
    end

    return self:subscribe(nil, onError)

end
